Subject: Re: Indic language rendering problem

From: "Parag N(पराग़)" <[email-masked]>
Date: Fri, 3 Oct 2008 14:53:17 +0530

Hi,
On Fri, Oct 3, 2008 at 4:02 AM, Chong Yidong <[email-masked]> wrote:

> ""Parag N(पराग़)"" <[email-masked]> writes:
>
> >   Yes. I can see problem is still present in CVS build. I got
> > following details of emacs now In GNU Emacs 23.0.60.1
> > (i686-pc-linux-gnu, GTK+ Version 2.14.3) of 2008-10-01 on
> > dhcp1-48.pnq.redhat.com Windowing system distributor `The X.Org
> > Foundation', version 11.0.10500000 configured using `configure
> > '--prefix=/usr''
> >
> > How can I help you to fix this issue. If you need some input from me
> > please ask for same.
>
> I don't read Devanagari, so I can't tell if the script is rendered
> incorrectly (gedit doesn't seem to render the HELLO file at all).
> Here's a screenshot of the HELLO file that I see.  Leaving aside the
> blank boxes (the font I'm using apparently doesn't contain all the
> glyphs), is the file shown correctly?
>

   Please have a look at image I posted in my initial mail. Its available
at
http://paragn.fedorapeople.org/emacs-23.0.60vsgedit-2.23.92.rendering.png
  From that you can see required rendering for Indic text should be from
left side(gedit application rendering output) whereas emacs is showing wrong
rendering for same text.

Thanks & Regards,
Parag.